Bug 146208 - FILEEDIT DOCX Crash at Redo of accepting table row deletions
Summary: FILEEDIT DOCX Crash at Redo of accepting table row deletions
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.0.0.beta2
Keywords: filter:docx, regression
Depends on:
Blocks: Track-Changes-Table
  Show dependency treegraph
 
Reported: 2021-12-13 14:04 UTC by NISZ LibreOffice Team
Modified: 2022-03-04 13:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SwExtraRedlineTable::DeleteAllTableRedlines(SwDoc &,SwTable const &,bool,RedlineType)"]
Regression By:


Attachments
Example file from Writer with a table (13.36 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-12-13 14:06 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-12-13 14:04:23 UTC
Description:
Accepting all changes in attached file then undo then accepting again all changes makes Writer to crash

Steps to Reproduce:
    1. Open attached file
    2. Accept all changes
    3. Undo
    4. Accept all changes

Actual Results:
Writer crash

Expected Results:
It should no crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 5242061cca5332ec15cce8c76f070d16e857445d
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-12-13 14:06:21 UTC
Created attachment 176903 [details]
Example file from Writer with a table
Comment 2 Commit Notification 2021-12-13 18:35:06 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6a9cf64ea7509aac258f290cc1f204fd1ce1f974

tdf#146208 sw DOCX: fix crash at Redo of tracked table changes

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-12-13 20:38:13 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/daf0526ee637a46eec34cc9d086d5c53a1368d51

tdf#146208 sw DOCX: fix crash at Redo of tracked table changes

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2022-01-04 13:03:49 UTC
https://bugs.documentfoundation.org/show_bug.cgi?id=146208
Comment 5 NISZ LibreOffice Team 2022-01-04 13:04:32 UTC
Verified in:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 8f0ce842dffe229d31bd9841ac6e999da1ae976d
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 6 MichaelWilliams 2022-03-04 07:31:03 UTC Comment hidden (spam)